Main Page Modules Data Structures File List Data Fields Globals Related Pages

# Rpmte Class Reference
[PYTHON.]

An python rpm.te object represents an element of a transaction set. More...

## Detailed Description

An python rpm.te object represents an element of a transaction set.

Elements of a transaction set are accessible after being added. Each element carries descriptive information about the added element as well as a file info set and dependency sets for each of the 4 typeof dependency.

The rpmte class contains the following methods:

- te.N() Return package name.
- te.E() Return package epoch.
- te.V() Return package version.
- te.R() Return package release.
- te.A() Return package architecture.
- te.O() Return package operating system.
- te.NEVR() Return package name-version-release.
- te.Mutilib() Return package multilib attribute.
- te.Depth() Return the level in the dependency tree (after ordering).
- te.Npreds() Return the number of package prerequisites (after ordering).
- te.Degree() Return the parent's degree + 1.
- te.AddedKey() Return the packages associated key.
- te.DS(tag) Return package dependency set.

Parameters:

  tag | 'Providename', 'Requirename', 'Obsoletename', 'Conflictname' te.FI(tag) Return package file info set.

Parameters:

  tag | 'Basenames'

The documentation for this class was generated from the following file:

- python/rpmte-py.c